Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/arandr: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Wed, 05 Nov 2014 09:16:26 +0000 (UTC)

http://christian.amsuess.com/tools/arandr/
ARandR provides a simple visual front end for XRandR
---
  testing/arandr/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
  1 file changed, 39 insertions(+)
  create mode 100644 testing/arandr/APKBUILD
diff --git a/testing/arandr/APKBUILD b/testing/arandr/APKBUILD
new file mode 100644
index 0000000..202534a
--- /dev/null
+++ b/testing/arandr/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=arandr
+pkgver=0.1.7.1
+pkgrel=0
+pkgdesc="ARandR provides a simple visual front end for XRandR"
+url="http://christian.amsuess.com/tools/arandr/"
+arch="noarch"
+license="GPL3"
+depends="py-gtk xrandr"
+depends_dev=""
+makedepends="py-docutils gettext $depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://christian.amsuess.com/tools/arandr/files/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b99c596827558f50b25a3972455237e4  arandr-0.1.7.1.tar.gz"
+sha256sums="ab73aa90d05d48b95a01afdad37b7c21a2cdf4af98f7d78b2502b819382748da 
arandr-0.1.7.1.tar.gz"
+sha512sums="1e3b8ec0d98d38515a159c7695abefd7451a3fa6b7d43641766c997aab63152dfa76c2d9208ba2848ce588dd033a8e85ae31b97acdd4aa5e450fd87725cc21ce 
arandr-0.1.7.1.tar.gz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 05 2014 - 09:16:26 GMT